Subject: (Ð²Ð¾Ð·Ð¼Ð¾Ð¶Ð½Ð¾)Ð›Ð¸ÑˆÐ½Ð¸Ðµ Ð´ÐµÐ¹Ñ•Ñ‚Ð²Ð¸Ñ• Ð² /etc/init.d/calculate

Description: ÐŸÑ€ÐµÐ´Ð»Ð°Ð³Ð°ÑŽ Ð½ÐµÑ•ÐºÐ¾Ð»ÑŒÐºÐ¾ ÑƒÐ¿Ñ€Ð¾Ñ‰ÐµÐ½Ð¸Ð¹ Ñ„Ð°Ð¹Ð»Ð° 

/etc/init.d/calculate

<pre><code class="diff">

--- /mnt/scratch/calculate/etc/init.d/calculate 2012-10-11 07:03:25.000000000 +0300

+++ /mnt/scratch/delta/etc/init.d/calculate     2012-10-13 23:15:16.548271450 +0300

@@ -27,11 +27,7 @@

 

 is_already_install()

 {

-       local pkg=$1

-       local category=`echo $pkg | cut -d\/ -f1`

-       local pkg=`echo $pkg | cut -d\/ -f2`

-       local categoryPath=/var/db/pkg/${category}

-       [[ -e $categoryPath ]] && ls $categoryPath | grep -q "^$pkg"

+       ls -ld /var/db/pkg/$1* &>/dev/null || false

 }

 

 install_pkg()

@@ -139,7 +135,6 @@

        local roottype=`variable_value os_root_type`

        if [[ $roottype == "livecd" ]]

        then

-               touch /* /bin/* /sbin/*

                udevadm trigger --action="add" --subsystem-match=net

        fi

</code></pre>

ÐŸÐµÑ€Ð²Ð°Ñ• Ñ‡Ð°Ñ•Ñ‚ÑŒ - Ð² Ð¿Ñ•Ñ‚Ð¸ Ñ•Ñ‚Ñ€Ð¾ÐºÐ°Ñ… Ð¿Ñ€Ð¾Ð²Ð¾Ð´Ð¸Ñ‚Ñ•Ñ• 

Ñ•Ð»ÐµÐ¼ÐµÐ½Ñ‚Ð°Ñ€Ð½Ð°Ñ• Ð¿Ñ€Ð¾Ð²ÐµÑ€ÐºÐ° Ð½Ð° Ð½Ð°Ð»Ð¸Ñ‡Ð¸Ðµ Ñ„Ð°Ð¹Ð»Ð°. ÐÑ‚Ñƒ 

Ð¶Ðµ Ð¿Ñ€Ð¾Ð²ÐµÑ€ÐºÑƒ Ð¼Ð¾Ð¶Ð½Ð¾ Ñ•Ð´ÐµÐ»Ð°Ñ‚ÑŒ Ð¾Ð´Ð½Ð¾Ð¹ Ñ•Ñ‚Ñ€Ð¾ÐºÐ¾Ð¹.



Ð’Ñ‚Ð¾Ñ€Ð°Ñ• Ñ‡Ð°Ñ•Ñ‚ÑŒ - Ñ• Ð²Ð¾Ð¾Ð±Ñ‰Ðµ Ð½Ðµ Ð¼Ð¾Ð³Ñƒ Ð¿Ð¾Ð½Ñ•Ñ‚ÑŒ, Ð´Ð»Ñ• 

Ñ‡ÐµÐ³Ð¾ touch-Ð¸Ñ‚ÑŒ Ð¸Ñ•Ð¿Ð¾Ð»Ð½Ñ•ÐµÐ¼Ñ‹Ðµ Ñ„Ð°Ð¹Ð»Ñ‹ Ð½Ð° livecd.



ÐŸÑ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ð² Ñ‚Ð¾Ð¼, Ñ‡Ñ‚Ð¾ ÐºÐ¾Ð¿Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ðµ Ñ•Ñ‚Ð¸Ñ… Ñ„Ð°Ð¹Ð»Ð¾Ð² 

Ð² workspace Ñ•Ð¾Ð·Ð´Ð°ÐµÑ‚ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñ‹ Ð¿Ñ€Ð¸ Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐµ Ð² 

scratch-Ñ€ÐµÐ¶Ð¸Ð¼Ðµ.

ÐŸÑ€Ð¸ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ð¸ Ð±Ð°Ð·Ð¾Ð²Ñ‹Ñ… Ð±Ð¸Ð±Ð»Ð¸Ð¾Ñ‚ÐµÐº(Ð¸ 

Ñ•Ð¾Ð¾Ñ‚Ð²ÐµÑ‚Ñ•Ñ‚Ð²ÐµÐ½Ð½Ð¾ Ð·Ð°Ð²Ð¸Ñ•Ñ•Ñ‰Ð¸Ñ… Ð¾Ñ‚ Ð½Ð¸Ñ… ÑƒÑ‚Ð¸Ð»Ð¸Ñ‚) 

Ð¼Ð½Ð¾Ð³Ð¸Ðµ Ð¸Ñ•Ð¿Ð¾Ð»Ð½Ñ•ÐµÐ¼Ñ‹Ðµ Ñ„Ð°Ð¹Ð»Ñ‹ Ð² Ð¼Ð¾Ð³ÑƒÑ‚ delta 

Ð¸Ð·Ð¼ÐµÐ½Ð¸Ñ‚ÑŒÑ•Ñ•, Ð½Ð¾ Ð² Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÑŽÑ‰ÐµÐ¹ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ðµ Ð±ÑƒÐ´ÑƒÑ‚ 

Ð´Ð¾Ñ•Ñ‚ÑƒÐ¿Ð½Ñ‹ Ñ•Ñ‚Ð°Ñ€Ñ‹Ðµ Ð²ÐµÑ€Ñ•Ð¸Ð¸, Ñ• ÑƒÐ¶Ðµ Ð¿Ð¾Ð±Ð¸Ñ‚Ñ‹Ð¼Ð¸ 

Ð·Ð°Ð²Ð¸Ñ•Ð¸Ð¼Ð¾Ñ•Ñ‚Ñ•Ð¼Ð¸.



Ð•Ð´Ð¸Ð½Ñ•Ñ‚Ð²ÐµÐ½Ð½Ð¾Ðµ Ñ€Ð°Ð·ÑƒÐ¼Ð½Ð¾Ðµ Ð¾Ð±ÑŠÑ•Ñ•Ð½ÐµÐ½Ð¸Ðµ, 

ÐºÐ¾Ñ‚Ð¾Ñ€Ð¾Ðµ Ñ• Ð½Ð°ÑˆÐµÐ» - Ñ•Ñ‚Ð¾ Ñ‡Ñ‚Ð¾Ð± Ð¿Ð¾Ð´Ð³Ñ€ÑƒÐ·Ð¸Ñ‚ÑŒ 

Ð¸Ñ•Ð¿Ð¾Ð»Ð½Ñ•ÐµÐ¼Ñ‹Ðµ Ñ„Ð°Ð¹Ð»Ñ‹ Ð² Ð¿Ð°Ð¼Ñ•Ñ‚ÑŒ, Ð´Ð»Ñ• ÑƒÑ•ÐºÐ¾Ñ€ÐµÐ½Ð¸Ñ• 
Ð´Ð¾Ñ•Ñ‚ÑƒÐ¿Ð° Ðº Ð½Ð¸Ð¼ Ð² Ð¿Ð¾Ñ•Ð»ÐµÐ´ÑƒÑŽÑ‰ÐµÐ¼ (Ñ…Ð· Ð·Ð°Ñ‡ÐµÐ¼ 

Ð¿Ñ€Ð°Ð²Ð´Ð°)

Ð•Ð¾ Ñ•Ñ‚Ð¾ Ð¿Ñ€Ð¾Ñ‰Ðµ (Ð¸ Ð½Ð°Ð²ÐµÑ€Ð½Ð¾ Ð¿Ñ€Ð°Ð²Ð¸Ð»ÑŒÐ½ÐµÐ¹) Ñ•Ð´ÐµÐ»Ð°Ñ‚ÑŒ 

ÐºÐ¾Ð¼Ð°Ð½Ð´Ð¾Ð¹:

*@find /bin/ /sbin/ -type f -exec cat \{\} + >/dev/null@*

ÐŸÑ€Ð¸ Ñ•Ñ‚Ð¾Ð¼, Ð¿Ñ€Ð¸ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ð¸ Ð² @/mnt/builder@ Ð¸ Ð²Ñ‹Ñ…Ð¾Ð´Ðµ Ð¸Ð· 

cl-builder Ñ€ÐµÐ¶Ð¸Ð¼Ð°, Ð¿Ñ€Ð¸ Ð¿ÐµÑ€ÐµÐ¼Ð¾Ð½Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ð¸ ÐºÐ¾Ñ€Ð½Ñ•, 

Ð²Ñ‹ÑˆÐµÐ¾Ð¿Ð¸Ñ•Ð°Ð½Ð½Ð°Ñ• Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ð½Ðµ Ð²Ð¾Ð·Ð½Ð¸ÐºÐ½ÐµÑ‚.

History

11/26/2012 09:51 am - Mikhail Hiretsky

> ls -ld /var/db/pkg/$1* &>/dev/null || false



ÐŸÐ¾Ñ•Ð¼Ð¾Ñ‚Ñ€Ð¸Ñ‚Ðµ Ñ•ÐºÐ¾Ð»ÑŒÐºÐ¾ Ð¿Ð°ÐºÐµÑ‚Ð¾Ð² @sys-apps/calculate@ Ð±ÑƒÐ´ÐµÑ‚ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð¾ Ð² 

Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ðµ.



> Ð’Ñ‚Ð¾Ñ€Ð°Ñ• Ñ‡Ð°Ñ•Ñ‚ÑŒ - Ñ• Ð²Ð¾Ð¾Ð±Ñ‰Ðµ Ð½Ðµ Ð¼Ð¾Ð³Ñƒ Ð¿Ð¾Ð½Ñ•Ñ‚ÑŒ, Ð´Ð»Ñ• Ñ‡ÐµÐ³Ð¾ touch-Ð¸Ñ‚ÑŒ 

Ð¸Ñ•Ð¿Ð¾Ð»Ð½Ñ•ÐµÐ¼Ñ‹Ðµ Ñ„Ð°Ð¹Ð»Ñ‹ Ð½Ð° livecd.



Ð”Ð»Ñ• PXE, Ð¿Ñ€Ð¸ Ð¿ÐµÑ€ÐµÐ´Ñ‘Ñ€Ð³Ð¸Ð²Ð°Ð½Ð¸Ð¸ Ñ•ÐµÑ‚Ð¸ Ð¿Ñ€Ð¸ Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐµ Ð¸Ð½Ð°Ñ‡Ðµ Ð¼Ð¾Ð¶ÐµÑ‚ 

Ð¿Ð¾Ð´Ð²Ð¸Ñ•Ð½ÑƒÑ‚ÑŒ.

12/20/2012 06:02 pm - Mikhail Hiretsky

- Status changed from New to Closed
